{% extends 'videohostingapp/base.html' %}

{% block content %}
<section class="section">
    <div class="container">
        <div class="columns">
            {% for item in search_obj %}
            <div class="column is-3">
                <div class="card">
                    <a href="{{item.get_absolute_url}}">
                        <div class="video">
                            <video class="thevideo" >
                                <source src="{{item.video.url}}" type="video/mp4">
                            </video>
                        </div>
                    </a>
                    <div class="card-content mt-1">
                        <div class="media">
                            <div class="media-content">
                                <a href="{{item.get_absolute_url}}">
                                    <p class="title is-4">{{item.title}}</p>
                                </a>
                            </div>
                        </div>
                        <div class="columns">
                            <div class="column">
                                <time class=" has-icons-right">{{item.date|time:"H:i"}} - {{item.date|date:" j F Y"}}</time> 
                                <span class="icon has-text-info ml-6">
                                    <i class="fas fa-eye mr-1"></i>
                                    {{item.views}}
                                </span>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            {% endfor %}
        </div>
    </div>
</section>
{% endblock %}